<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<!-- 2019-05-13 Mon 14:11 -->
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title>ESWC 2019 Tutorial: Practical and Scalable Pattern-based Ontology Engineering with Reasonable Ontology Templates (OTTR)</title>
<meta name="generator" content="Org mode" />
<meta name="author" content="Martin G. Skjæveland" />
<link rel="stylesheet" type="text/css" href="https://www.ottr.xyz/inc/style.css" />
<link rel="stylesheet" type="text/css" href="https://www.ottr.xyz/inc/spec.css" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script src="https://www.ottr.xyz/inc/toc.js"></script>
</head>
<body>
<div id="content">
<header>
<h1 class="title">ESWC 2019 Tutorial: Practical and Scalable Pattern-based Ontology Engineering with Reasonable Ontology Templates (OTTR)</h1>
</header><div id="left">
<p>
  <a href="#top">top</a>
  <!--<br/>
  examples:
  <span class="button" onclick="$('.examplebox').show()">show</span>
  /
  <span class="button" onclick="$('.examplebox').hide()">hide</span>
  -->
</p>
  <h4>Table of Contents</h4>
  <div id="toc"></div>
</div>

<div id="right">
  <a id="top"></a>
  <h1 class="title">ESWC 2019 Tutorial: Practical and Scalable Pattern-based Ontology Engineering with Reasonable Ontology Templates (OTTR)</h1>
  <img id="logo" alt="OTTR" src="../../logo/tutOTTR.png"/>
  <p>
    <b>
  Half day tutorial at  <a target="_blank" href="https://2019.eswc-conferences.org/">ESWC 2019</a>
  on <a target="_blank" href="https://2019.eswc-conferences.org/program/">the morning of Sunday, June 2 2019</a>.
  </b>
  </p>
  <p><b>
  Learn how to build, maintain and interact with knowledge bases via 
  higher level abstractions and modelling patterns
  using the OTTR templating framework.
  </b>
  </p>

  <p class="notice">The concepts used in this tutorial are still valid,
      however, tools and formats may have been updated. Please
      see <a href="http://ottr.xyz">ottr.xyz</a>.
  </p>
  
<div id="toc-content">

<div id="outline-container-org726ba2f" class="outline-2">
<h2 id="org726ba2f">Schedule</h2>
<div class="outline-text-2" id="text-org726ba2f">
<p>
As per the <a href="https://2019.eswc-conferences.org/program/">ESWC program</a>, the tutorial consists of two 1,5 hour
blocks separated by 30 mins coffee break. 
</p>

<dl class="org-dl">
<dt>9:00 &#x2013; 10:30: Part 1</dt><dd><ul class="org-ul">
<li>Introduction and motivation for pattern-based ontology engineering</li>
<li>OTTR templates: serialisations, features, tools, examples and exercises</li>
</ul></dd>

<dt>10:30 &#x2013; 11:00: Coffee break</dt><dd></dd>

<dt>11:00 &#x2013; 12:30: Part 2</dt><dd><ul class="org-ul">
<li>Template libraries, use and maintenance</li>
</ul></dd>
<dt>12:30 Lunch</dt><dd></dd>
</dl>
</div>
</div>


<div id="outline-container-org835c498" class="outline-2">
<h2 id="org835c498">Material</h2>
<div class="outline-text-2" id="text-org835c498">

  <dl class="org-dl">
    <dt>Slides and exercise material</dt>
    <dd>
      <a href="https://gitlab.com/ottr/pub/eswc2019-demo/-/archive/master/eswc2019-demo-master.zip">
	https://gitlab.com/ottr/pub/eswc2019-demo/-/archive/master/eswc2019-demo-master.zip
      </a>
    </dd>

    <dt>Lutra executable jar</dt>
    <dd>
      <a href="https://gitlab.com/ottr/lutra/lutra/builds/artifacts/v0.6.0-beta-1/raw/lutra.jar?job=release">
	https://gitlab.com/ottr/lutra/lutra/builds/artifacts/v0.6.0-beta-1/raw/lutra.jar?job=release
      </a>
    </dd>

  </dl>

  
</div>
</div>

<div id="outline-container-orgb8b453b" class="outline-2">
<h2 id="orgb8b453b">Learning outcome</h2>
<div class="outline-text-2" id="text-orgb8b453b">
<p>
Tutorial participants will learn:
</p>
<ul class="org-ul">
<li>the benefits of using abstractions like ontology templates to
build, interact with and maintain ontologies</li>
<li>how to use and build ontology templates with simple, but
powerful, open source tools</li>
<li>how to efficiently construct large ontologies with ontology
templates using tabular input formats like spreadsheets</li>
<li>how to navigate, use and extend existing template libraries</li>
<li>how to maintain template libraries, discovering redundancies
and implicit patterns with logic-based methods</li>
<li>how ontology templates can be used as queries</li>
<li>about other related tools and approaches</li>
<li>about powerful extensions to OTTR</li>
</ul>
</div>
</div>


<div id="outline-container-org06d9434" class="outline-2">
<h2 id="org06d9434">Form</h2>
<div class="outline-text-2" id="text-org06d9434">
<p>
The tutorial will consist of a mix of regular presentations, plenary exercises and individual hands-on exercises.  
</p>

<p>
The presentations will introduce the audience to the tutorial topic
and provide enough background to partake in the plenary
exercises. 
</p>

<p>
The plenary exercises are designed to engage the
participants in the problems related to the learning objectives. The
individual exercises will make the participants able to use OTTR
templates and tools to create complex, large-scale ontologies from
tabular input formats on their own.  
</p>

<p>
The <b>individual exercises  require the participants to bring their own laptop with Java 8</b> or
later installed.  All software beyond this, including other
resources (template examples, ontologies, and example data) will be
publicly available on the tutorial website and at the tutorial
site. 
</p>
</div>
</div>

<div id="outline-container-orgc43113e" class="outline-2">
<h2 id="orgc43113e">Audience</h2>
<div class="outline-text-2" id="text-orgc43113e">
<p>
The target audience for the tutorial are typically semantic web
practitioners and ontology engineers, or people who want to learn
these skills, but find existing ontology editors hard to use.  We
expect participants who are eager to learn new ways of building
ontologies without the traditional ontology editors like Protégé and
TopBraid Composer, and people from industry who are keen to get
ideas for how ontologies can be developed and maintained in a
large-scale industrial setting.  We also believe that existing users of
ontology design patterns will find the tutorial interesting.
</p>
</div>
</div>


<div id="outline-container-orgd8c0691" class="outline-2">
<h2 id="orgd8c0691">Presenters</h2>
<div class="outline-text-2" id="text-orgd8c0691">
<p>
<a href="http://folk.uio.no/martige">Martin G. Skjæveland</a> is a postdoctoral researcher at the University
of Oslo , and the lead developer of Reasonable Ontology
Templates.
</p>

<p>
<a href="https://www.mn.uio.no/ifi/personer/vit/leifhka/">Leif Harald Karlsen</a> recently finished his PhD and is currently
working as a head engineer at the Sirius Center for Scalable Data
Access at the University of Oslo , working full time on the
implementation of OTTR.
</p>

<p>
<a href="https://www.mn.uio.no/ifi/english/people/aca/danielup/">Daniel P. Lupp</a> is a postdoctoral researcher at the University of Oslo 
working on best-practice methodologies for the use of OTTR in
ontology specification and maintenance. 
</p>
</div>
</div>
</div>
</div>
</div>
</body>
</html>
